import type { _NSObject } from "../Foundation/NSObject.js";
import type { _CKRecordID } from "./CKRecordID.js";
import type { CKSyncEnginePendingRecordZoneChangeType } from "./CKSyncEnginePendingRecordZoneChangeType.js";
export declare class _CKSyncEnginePendingRecordZoneChange extends _NSObject {
    static alloc(): _CKSyncEnginePendingRecordZoneChange;
    static new(): _CKSyncEnginePendingRecordZoneChange;
    init(): _CKSyncEnginePendingRecordZoneChange;
    initWithRecordID$type$(recordID: _CKRecordID, type: CKSyncEnginePendingRecordZoneChangeType): _CKSyncEnginePendingRecordZoneChange;
    recordID(): _CKRecordID;
    type(): CKSyncEnginePendingRecordZoneChangeType;
}
